String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fSelEdit(){
	var IdCli=document.getElementById("TxtIdCliente").value;
	//OpenWin("clientes.php?Id="+IdCli,900,600);	
	window.open("clientes.php?Id="+IdCli);  
}
function fSelVentas(){	
	window.open("ventas.php");  
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fLimDet(){
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtMarca").value="";
	document.getElementById("TxtPre").value="";
	document.getElementById("TxtCant").value="";
	document.getElementById("TxtCUni").value="";
	document.getElementById("TxtImp").value="";
	document.getElementById("TxtCod").focus();
}
function fGenPDF(){
	document.getElementById("TxtAc").value="GEN_PDF_1";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function CProf(){
	var emp=gv("CboEmp");
	var alm=gv("CboAlm");
	var usu=gv("TxtUsu");
	var pas=gv("TxtAut");
	if(jL(emp)==0){
		return AF("Seleccione una empresa","CboEmp");
	}
	if(jL(alm)==0){
		return AF("Seleccione una empresa","CboAlm");
	}
	var a=prompt("INGRESE SERIE Y NUMERO DE LA PROFORMA EJEMPLO (001-0001)","");
	if(a==null){
		return;
	}
	if(a.trim().length==0){
		return;
	}
	//
	var ser_num=a;
	var DAT=AX("COT_VAL_CPY",emp,ser_num,usu,pas);
	var bat=DAT.split("|");
	var autor="0";
	if(bat[1]=="MS"){
		alert(bat[2]);
	}else{
		if(bat[1]=="OK"){
			sv("BIT_AUTOR",bat[3]);
			document.getElementById("SerNum").value=bat[4];
			document.getElementById("TxtAc").value="CP";
			document.getElementById("Frm").submit();
		}else{
			alert("Error de conexion");
		}
	}

}
//**************************************************************************

function fEditar(lpIndex){
	var DR=gv("TxtDR");
	if(jVal(DR)>0){
		alert("El presente registro ha sido tomando "+
			  "como referencia, por lo tanto NO SE PUEDE MODIFICAR");		
	}else{
		var hw=document.getElementById("TxtHW").value;
		Ow("cotizaciones_editar.php?I="+lpIndex+"&H="+hw,650*ZO(),280*ZO());	
	}
}
function CalcularVuelto(){
	var Mod=gv("CboMod");
	var Tot=jVal(gv("TxtTReal"));
	if(document.getElementById("ChN_INC").checked==true){
		Tot=Tot * 1.18;
		Tot=Tot.toFixed(2);
	}
	var mod=gv("CboMod");
	var Tdp=gv("CboTdp");
	var Acu=jVal(gv("TxtACuenta"));
	var Tca=jVal(gv("TxtTC"));	
	var Sal=jVal(gv("TxtSal"));
	var Mon=gv("CboMon");
	if(Mon=="DOLARES"){
		Acu=Acu * Tca;
		Acu=Acu.toFixed(2);
	}
	//
	document.getElementById("TxtVuelto").value="0.0";
	document.getElementById("TxtSal").value="0.0";
	//
	if(Tdp=="CONTADO"){		
		if(Acu>=Tot){			
			Acu=Acu - Tot;	
			document.getElementById("TxtVuelto").value=formato_numero(Acu ,1,".");
		}
	}
	if(Tdp=="CREDITO" ){
		if(Tot>=Acu){			
			var Sal=Tot - Acu;	
			document.getElementById("TxtSal").value=formato_numero(Sal ,1,".");
		}		
	}
}
//
function fLoad(){
	document.getElementById("TxtAc").value="UP";
	document.getElementById("Frm").submit();
}
//
function AutoNumeracion(estado){
	document.getElementById("TxtSer").value="";
	document.getElementById("TxtNum").value="";
	var Plom=document.getElementById("TxtTC").style.backgroundColor;
	var Blan=document.getElementById("TxtCod").style.backgroundColor;
	if(estado>0){
		document.getElementById("TxtSer").readOnly=true;
		document.getElementById("TxtNum").readOnly=true;
		document.getElementById("TxtSer").style.backgroundColor=Plom;
		document.getElementById("TxtNum").style.backgroundColor=Plom;
		if(estado==1){
		document.getElementById("TxtCliente").focus();
		}
	}else{
		document.getElementById("TxtSer").readOnly=false;
		document.getElementById("TxtNum").readOnly=false;
		document.getElementById("TxtSer").style.backgroundColor=Blan;
		document.getElementById("TxtNum").style.backgroundColor=Blan;
		document.getElementById("TxtSer").focus();
	}
}
//
function fCls(){
	document.getElementById("TxtIdCliente").value="0";
	document.getElementById("TxtCliente").value="";
	document.getElementById("TxtRuc").value="";
}

//**************************************************************************
function fImporte(){
	var Pre=document.getElementById("TxtPre").value;
	var Can=document.getElementById("TxtCant").value;
	var Des="";
	var Uni=document.getElementById("TxtCUni").value;
	var Importe=parseFloat("0");
	if(Des.trim().length==0)Des="0";
	if(Pre.trim().length==0)Pre="0";
	if(Can.trim().length==0)Can="0";
	if(Uni.trim().length==0)Uni="0";
	Des=parseFloat(Des);
	Pre=parseFloat(Pre);
	Can=parseFloat(Can);
	Uni=parseFloat(Uni);
	Importe=(Pre - Des )* Can * Uni;
	Importe=Importe.toFixed(2);
	document.getElementById("TxtImp").value=Importe;
}
//**************************************************************************
function fKiller(lpIndex){
	var DR=gv("TxtDR");
	if(jVal(DR)>0){
		alert("El presente registro ha sido tomando "+
			  "como referencia, por lo tanto NO SE PUEDE ELIMINAR");		
	}else{
		document.getElementById("Pro_TxtId").value=lpIndex;
		document.getElementById("TxtAc").value="KILLER";
		document.getElementById("Frm").submit();
	}
}
//**************************************************************************
function CerrarDIV(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	DivCaption.style.visibility="hidden";
	DivDatos.style.visibility="hidden";	
	document.getElementById("TxtDes").focus();
}

function fGetTabla(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");	
	var Ver=1;
	var Cod=gv("TxtCod");
	var Des=gv("TxtDes");
	var Mar=gv("TxtMarca");
	var Alm=gv("CboAlm");
	if(jL(Des)>0 || jL(Cod)>0 || jL(Mar)>0){		
		ajax=CreateAJAX();
		var StrU="aj.php?Cmd=KOT&P1="+Des+"&P2="+Alm+"&P3="+Mar+"&P4="+Cod+"&P5="+Ver;
		//P(StrU);
		ajax.open("GET", StrU);	
		ajax.onreadystatechange=function() {
			   if (ajax.readyState==4) {
						var StrDatos=ajax.responseText;
						if(jL(StrDatos)>0){
						   DivDatos.innerHTML =PARSE(StrDatos);
						   DivCaption.style.visibility="visible";
						   DivDatos.style.visibility="visible";
						   document.getElementById("TAB_AJAX").scrollTop=0;
						}else{
							DivCaption.style.visibility="hidden";
							DivDatos.style.visibility="hidden";	
						}
			   }
		}
		ajax.send(null);
	}
}
//**************************************************************************
function fGetProdDatos_Id(lpStrId){	
	if(jL(lpStrId)>0){
		alert(lpStrId);
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=VEN_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {			  
		   DivDatos.innerHTML = ajax.responseText
		   var Des=document.getElementById("Pro_TxtDes").value;
		   if(Des.trim().length==0){
			   svv("Pro_TxtId,Pro_TxtDes,Pro_TxtCod,Pro_TxtMarca,Pro_TxtPre");
			   svv("Pro_TxtPreM,TxtDes,TxtMarca,TxtPre,TxtCant,TxtImp,TxtCod");
			   document.getElementById("TxtPreM").innerHTML="0.0";
			   alert("Codigo no registrado (2)");jF("TxtCod");
		   }else{
			   cv("TxtCod","Pro_TxtCod");
			   cv("TxtMarca","Pro_TxtMarca");
			   cv("TxtDes","Pro_TxtDes");
			   cv("TxtPre","Pro_TxtPre");
			   document.getElementById("TxtPreM").innerHTML=PP(document.getElementById("Pro_TxtPreM").value);
			   sv("TxtCant","1");
			   cv("TxtImp","TxtPre");
			   jF("TxtPre");				   
		   }
		   DivDatos = document.getElementById("TAB_AJAX");
		   DivCaption = document.getElementById("TAB_CAPTION");
		   DivCaption.style.visibility="hidden";
		   DivDatos.style.visibility="hidden";
	   }
	}
    ajax.send(null);
	}
}
function z(lpStrId){
	if(lpStrId.trim().length>0){		
	var ip=lpStrId.indexOf(".");
	var IDD=lpStrId.substring(0,ip);	
	var UNI=lpStrId.substring(ip+1,jLen(lpStrId));
	
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=VEN_GET_PROD_DATOS_X_ID&TxtPar="+IDD);	
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {			  
		   DivDatos.innerHTML = ajax.responseText
		   var Des=document.getElementById("Pro_TxtDes").value;
		   if(Des.trim().length==0){
			   sv("Pro_TxtId","");
			   sv("Pro_TxtDes","");
			   sv("Pro_TxtCod","");	
			   sv("Pro_TxtMarca","");
			   sv("Pro_TxtPre","");
			   sv("Pro_TxtPreM","");
			   sv("TxtDes","");
			   sv("TxtMarca","");
			   sv("TxtPre","");
			   document.getElementById("TxtPreM").innerHTML="0.00";
			   sv("TxtCant","");
			   sv("TxtImp","");	
			   sv("TxtCod","");	
			   sv("TxtCUni","");	
			   alert("Codigo no registrado (1)");
			   jF("TxtCod");
		   }else{
			   sv("TxtCod",gv("Pro_TxtCod"));
			   sv("TxtMarca",gv("Pro_TxtMarca"));
			   sv("TxtDes",gv("Pro_TxtDes"));
			   sv("TxtPre",PP(gv("Pro_TxtPre")));
			   document.getElementById("TxtPreM").innerHTML=PP(gv("Pro_TxtPreM"));
			   sv("TxtCant","1");
			   sv("TxtCUni",UNI);
			   sv("TxtImp",gv("TxtPre"));
			   jF("TxtPre");	
		   }
		   DivDatos = document.getElementById("TAB_AJAX");
		   DivCaption = document.getElementById("TAB_CAPTION");
		   DivCaption.style.visibility="hidden";
		   DivDatos.style.visibility="hidden";						   		   
	   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function PP(Pre){
	var Mon=document.getElementById("CboMon").value;
	var Tca=document.getElementById("TxtTC").value;
	Mon=Mon.trim();Pre=Pre.trim();Tca=Tca.trim();
	if(Mon.length==0)Mon="SOLES";
	if(Pre.length==0)Pre="0";
	if(Tca.length==0)Tca="1";
	Pre=parseFloat(Pre);Tca=parseFloat(Tca);
	if(Mon=="DOLARES"){
		Pre=Pre / Tca;Pre=Pre.toFixed(3);		
	}	
	return ff(Pre,3,".","");
}
function fGetProdDatos(lpStrCod){
	EsNew = document.getElementById("CboNew").value;
	if(EsNew=="SI"){
		return;
	}	
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=VEN_GET_PROD_DATOS&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {			  
		   DivDatos.innerHTML = ajax.responseText
		   var Des=document.getElementById("Pro_TxtDes").value;
		   if(Des.trim().length==0){
			document.getElementById("Pro_TxtId").value="";
			document.getElementById("Pro_TxtDes").value="";
			document.getElementById("Pro_TxtMarca").value="";
			document.getElementById("Pro_TxtPre").value="";
			document.getElementById("Pro_TxtPreM").value="";
			document.getElementById("TxtDes").value="";
			document.getElementById("TxtPre").value="";				   
			document.getElementById("TxtMarca").value="";				   
			document.getElementById("TxtCant").value="";
			document.getElementById("TxtImp").value="";
			document.getElementById("TxtCod").value="";
			document.getElementById("TxtPreM").innerHTML="0.00";		   
			alert("Codigo no registrado, si el producto es nuevo estableza *SI* en *Es Nuevo*");
			document.getElementById("TxtCod").focus();
		   }else{
			document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
			document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
			document.getElementById("TxtPre").value=PP(document.getElementById("Pro_TxtPre").value);
			document.getElementById("TxtPre").value=PP(document.getElementById("Pro_TxtPre").value);
			document.getElementById("TxtPreM").innerHTML=PP(document.getElementById("Pro_TxtPreM").value);
			document.getElementById("TxtCant").value="1";
			document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
			document.getElementById("TxtPre").focus();
		   }
	   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetRuc(lpStrPro,Obj){
	var StrProveedor=lpStrPro;
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_RUC&TxtPar="+StrProveedor);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			   	   
				   document.getElementById(Obj).value=ajax.responseText;
				   Obj=Obj+"_";
				   document.getElementById(Obj).value=ajax.responseText;
		   }
	}
    ajax.send(null);
}
//**************************************************************************
function fGetProveedor(lpStrRuc,Obj){
	var StrRucH=document.getElementById("TxtRuc_").value;
	var StrRuc=lpStrRuc;
	if(StrRuc!=StrRucH){
		ajax=CreateAJAX();
		ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROVEEDOR&TxtPar="+StrRuc);	
		ajax.onreadystatechange=function() {
			   if (ajax.readyState==4) {
					   var StrPro=ajax.responseText;
					   if(StrPro.trim().length==0){
						   	alert("Numero de ruc no registrado");
						   	document.getElementById(Obj).value="";
						   	document.getElementById(Obj).focus();
					   }else{
							document.getElementById(Obj).value=StrPro;
					   }
			   }
		}
		ajax.send(null);
	}

}
//**************************************************************************
function fCancelarPHP(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fAgregar(){	
	//
	var BIT_STOCK=0;
	var BIT_STOCK_USU="";
	var BIT_PRECIO=0;
	var BIT_PRECIO_USU="";
	//
	var P_NL=jVal(gv("TxtPRO_NL"));	
	var T_NL=jVal(gv("TxtTOT_NL"));	
	if(P_NL>0){
		if(T_NL == P_NL){
			alert("El numero maximo de items para PROFORMA es "+P_NL);
			fLimDet();
			jFocus("TxtCod");
			return;
		}
	}
	//
	var Pro_Id=gv("Pro_TxtId");
	var Pro_Cod=gv("Pro_TxtCod");
	var Pro_Des=gv("Pro_TxtDes");
	
	var Cod=gv("TxtCod");
	var Des=gv("TxtDes");
	var Pre=gv("TxtPre");
	var Dsto=""
	var PreM=document.getElementById("TxtPreM").innerHTML;
	var Can=gv("TxtCant");
	var CUni=gv("TxtCUni");
	var Usu=gv("TxtUsu");
	var Aut=gv("TxtAut");
	var Pas=gv("TxtPAS");
	//alert(PreM);
	Pro_Id=Pro_Id.trim().toUpperCase();
	Pro_Cod=Pro_Cod.trim().toUpperCase();
	Pro_Des=Pro_Des.trim().toUpperCase();
	
	Cod=Cod.trim().toUpperCase();
	Des=Des.trim().toUpperCase();
	
	Dsto=Dsto.trim();
	Pre=Pre.trim();
	PreM=PreM.trim();
	if(jL(Pre)==0){
		alert("Ingrese el precio de venta");
		document.getElementById("TxtPre").focus();
		return;
	}
	if(jL(CUni)==0){
		alert("Ingrese el nro. de piezas");
		document.getElementById("TxtCUni").focus();
		return;
	}
	//
	if(Cod=="A001" || Cod=="A002"){
		document.getElementById("TxtAc").value="ADD";
		document.getElementById("Frm").submit();
		return;
	}
	//
	var ve_pre=gv("TxtPre");
	var ve_can=gv("TxtCant");
	var ve_pie=gv("TxtCUni");
	//
	if(jVal(ve_pre)<0){
		alert("El precio no puede ser negativo");
		document.getElementById("TxtPre").focus();
		return;
	}
	if(jVal(ve_can)<=0){
		alert("La cantidad debe ser un numero mayor a cero");
		document.getElementById("TxtCant").focus();
		return;
	}
	if(jVal(ve_pie)<=0){
		alert("La cantidad de piezas debe ser mayor a cero");
		document.getElementById("TxtCUni").focus();
		return;
	}
	//
	var Rpta;
	var Z=fVerStock();
	if(jVal(Can)>jVal(Z)){
		Rpta= confirm("Stock insuficiente, el stock menos separado es : "+Z+
				      ". Aun asi desea continuar?. Para continuar se requiere ingresar autorizacion.")		
		if (Rpta==false){
			jFocus("TxtCant");return;
		}else{
			if(MP_OK(Usu,Aut)==false){
				sv("TxtAut","");
				sv("TxtUsu","");
				return AF("Datos incorrectos o usuario no esta autorizado","TxtUsu");					    
			}else{
				BIT_STOCK=1;
				BIT_STOCK_USU=Usu;
			}
		}
	}
	//
	if(Pre.length==0)Pre="0";
	if(PreM.length==0)PreM="0";
	if(Dsto.length==0)Dsto="0";
	Pre=jVal(Pre) - jVal(Dsto);
	PreM=jVal(PreM);
	//
	if(PreM>Pre){
		if(jL(Usu)==0){
			return AF("El precio de venta menos el descuento "+
		    	      "es MENOR al precio de venta minimo, "+
				      "para proceder requiere autorizacion, ingrese el nombre de usuario","TxtUsu");		
		}
		if(jL(Aut)==0){
			return AF("El precio de venta menos el descuento "+
		    	      "es MENOR al precio de venta minimo, "+
				      "para proceder requiere autorizacion, ingrese el password","TxtAut");		
		}else{
			//
			if(MP_OK(Usu,Aut)==false){
				sv("TxtAut","");
				sv("TxtUsu","");
				return AF("Datos incorrectos o usuario no esta autorizado","TxtUsu");					    
			}else{
				BIT_PRECIO=1;
				BIT_PRECIO_USU=Usu;
			}
		}		
	}
	//
	sv("BIT_STOCK",BIT_STOCK);
	sv("BIT_STOCK_USU",BIT_STOCK_USU);
	sv("BIT_PRECIO",BIT_PRECIO);
	sv("BIT_PRECIO_USU",BIT_PRECIO_USU);
	//
	document.getElementById("CmdAdd").disabled=false;
	document.getElementById("TxtAc").value="ADD";
	document.getElementById("Frm").submit();
}
//
function MP_OK(Usu,Pas){
	var pol_mp=gv("POL_MP");
	pol_mp=pol_mp.toUpperCase();
	Usu=Usu.toUpperCase();
	Pas=Pas.toUpperCase();
	if(jL(pol_mp)==0){
		alert("No se pudo determinar las autorizaciones");
		return false;
	}
	if(pol_mp=="X"){
		return false;
	}
	var U=pol_mp.split("@")[0];
	var P=pol_mp.split("@")[1];
	U=U.split("|");
	P=P.split("|");
	for(i=0;i<U.length;i++){
		if(jL(U[i])>0){
			if(U[i]==Usu && P[i]==Pas){
				return true;
				break;				
			}
		}
	}
	return false;
}
//
function fVerStock(){
	var ID=jVal(gv("Pro_TxtId"));
	var KA=jVal(gv("TxtCant"));
	var PI=jVal(gv("TxtCUni"));	
	
	var Z="aj_cot.php?C=VS_JUN&P1=TODOS&P2="+ID+"&P4="+PI;
	ajax=CreateAJAX();	
	ajax.open("GET",Z,false);	
	ajax.send(null);	
	return ajax.responseText;
}
//
function fVModificar(){
	var Id=gv("TxtId");
	var Z="aj_cot.php?C=VM&P1="+Id;
	ajax=CreateAJAX();	
	ajax.open("GET",Z,false);	
	ajax.send(null);	
	return ajax.responseText;
}
//**************************************************************************
function fGuardarEX(){
	if(!pre("Esta seguro que desea modificar?")){
		return;
	}
	var T_NL=jVal(gv("TxtTOT_NL"));
	if(T_NL<=0){
		alert("La lista de productos esta vacia");
		jFocus("TxtCod");
		return;
	}	
	var id=gv("TxtId");
	var cl=gv("TxtCliente");
	var ru=gv("TxtRuc");
	var ic=gv("TxtIdCliente");	
	var ve=gv("CboVen");	
	var to=gv("TxtTReal");
	var t_d=gv("TxtTDes");	
	var td=gv("CboTdp");	
	var ac=gv("TxtACuenta");
	var tdc=gv("TxtTC");
	var mn=gv("CboMon");
	var mo=gv("CboMod");		
	var vu=gv("TxtVuelto");
	var sa=gv("TxtSal");	
	var Uzu=gv("TxtUsu");
	var Paz=gv("TxtAut");
	//
	if(jVal(id)==0)return AF("No se puede determinar el id del registro activo","");
	if(jL(cl)==0)return AF("Seleccione el cliente correspondiente","CmdSel");
	if(jVal(ic)==0)return AF("No se puede determinar el ID del cliente, seleccione el cliente correspondiente","CmdSel");
	if(jL(ve)==0)return AF("Seleccione un vendedor","");
	if(jL(td)==0)return AF("Seleccione un tipo de pago","");
	if(jL(mn)==0)return AF("Seleccione una moneda","");
	if(jL(mo)==0)return AF("Seleccione una modalidad","");
	//	
	var acc="";
	if(mn=="SOLES"){
		acc=ac;
	}else{
		acc=(jVal(ac) + jVal(tdc)).toFixed(1);
	}
	if(td=="CONTADO"){
		if(jVal(to)>jVal(acc)){
			alert("Si el tipo de pago es 'CONTADO', "+
				  "entonces el total a cuenta debe ser "+
				  "mayor o igual al total importe");
			return jFocus("CboTdp");						
		}		
		vu=jVal(acc) - jVal(to);
		if(vu<=0){
			vu=0;
		}else{
			vu=vu.toFixed(1);
		}	
		td="CO";
	}else{
		if(jVal(acc)>=jVal(to)){
			alert("Si el tipo de pago es 'CREDITO', "+
			      "entonces el total a cuenta debe ser "+
				  "menor al total importe");
			jFocus("CboTdp");			
			return;
		}
		vu=0;
		td="CR"
	}
	var R=AJ("aj.php?Cmd=XX_1&P1="+id+"&P2="+ic+"&P3="+ve+"&P4="+to+"&P5="+t_d+"&P6="+td+"&P7="+ac+"&P8="+mn+"&P9="+mo+"&P10="+vu+"&P11="+sa+"&P12="+Paz+"&P13="+Uzu);
	R=R.split("|");
	if(R[1]=="OK"){
		alert("Datos actualizados");
	}else{
		alert(r[1]);
	}
}
//
function fGuardar(){
	var HWN=gv("TxtHW");
	//
	var P_NL=jVal(gv("TxtPRO_NL"));	
	var T_NL=jVal(gv("TxtTOT_NL"));
	if(P_NL > 0 ){
		if(T_NL > P_NL){
			alert("El numero maximo de items para PROFORMA es "+P_NL);
			jFocus("TxtCod");
			return;
		}
	}
	//
	if(T_NL<=0){
		alert("La lista de productos esta vacia");
		jFocus("TxtCod");
		return;
	}
	//
	var R_TOT=jVal(gv("T_Importe"));
	var R_TRE=jVal(gv("TxtTReal"));
	var R_DES=jVal(gv("TxtTDes"));
	if(R_TOT!=(R_TRE + R_DES)){
		alert("Inconsistencia de datos, el "+
		      "TOTAL IMPORTE mas TOT. DSCTO debe ser igual al TOT. IMPORTE");
		jFocus("TxtTReal");return;
	}
	//
	//var TOT=jVal(gv("T_Importe"));
	var TOT=jVal(gv("TxtTReal"));
	if(document.getElementById("ChN_INC").checked==true){
		TOT=TOT * 1.18;
		TOT=TOT.toFixed(2);
	}
	var TDP=gv("CboTdp");
	var ACU=jVal(gv("TxtACuenta"));
	var TCA=jVal(gv("TxtTC"));
	var MON=gv("CboMon");
	if(MON=="DOLARES"){
		ACU=ACU * TCA;
		ACU=ACU.toFixed(2);
	}
	var VUE=jVal(gv("TxtVuelto"));
	var SAL=jVal(gv("TxtSal"));
	//
	var Alm=gv("CboAlm");
	var Emp=gv("CboEmp");
	var Fec=gv("TxtFec");
	var Com=gv("CboCom");
	var Num=gv("TxtNum");	
	var Ser=gv("TxtSer");
	var Cli=gv("TxtCliente");
	var Ven=gv("CboVen");	
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(Alm)==0){
		alert("Seleccione un almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(Fec)==0){
		alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}	
	if(jL(Com)==0){
		alert("Seleccione un comprobante");
		document.getElementById("CboCom").focus();
		return;
	}
	if(jL(Cli)==0){
		alert("Seleccione un cliente");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(document.getElementById("ChN_AUTO").checked==false){
		if(Ser.trim().length==0){
			alert("Ingrese la serie del comprobante.");
			document.getElementById("TxtSer").focus();
			return;
		}
		if(Num.trim().length==0){
			alert("Ingrese el numero de comprobante");
			document.getElementById("TxtNum").focus();
			return;
		}
	}
	//
	if(TDP=="CONTADO"){
		if(ACU==0){
			document.getElementById("CboMon").value="SOLES"
			document.getElementById("TxtACuenta").value=TOT;			
		}else{
			if(ACU<TOT){
				alert("El total a cuenta debe ser mayor o igual al tot. importe");
				jFocus("TxtACuenta");
				return;
			}
		}
	}else{
		if(ACU>=TOT){
			alert("El total a cuenta debe ser menor al tot. importe");
			jFocus("TxtACuenta");
			return;
		}
	}
	//
	if(jL(Ven)==0){
		alert("Seleccione un vendedor");
		jFocus("CboVen");
		return;
	}
	//
	var kod=gv("TxtId");
	//
	if(document.getElementById("CmdG").value=="Guardar"){		
		var Rpta = confirm("Esta seguro que desea Guardar?")		
		if (Rpta==false){
			return;
		}else{
			//Validar cantidades
			var t=AX("AG_COT_VAL_G",HWN);
			var tr=t.split("|");
			if(tr[1]=="MS"){
				alert(tr[2]);
				return;
			}else{
				if(tr[1]=="OK"){
					//TODO_OK
				}else{
					alert("Error de conexion");
					return;
				}
			}
			//Validar cantidades
			document.getElementById("CmdG").disabled=true;
			SM("G");
		}
	}else{
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		var R=fVModificar();
		if(R=="COB"){
			alert("El presente registro esta relacionado a "+
			"uno o mas cobros. NO SE PUEDE MODIFICAR");
			return;
		}
		if(R=="VE"){
			alert("El presente registro esta relacionado a una venta. "+
			"NO SE PUEDE MODIFICAR");
			return;
		}
		if(R=="GR"){
			alert("El presente registro esta relacionado a una guia de remision. "+
			"NO SE PUEDE MODIFICAR");
			return;
		}
		if(R=="GI"){
			alert("El presente registro esta relacionado a una guia de interna. "+
			"NO SE PUEDE MODIFICAR");
			return;
		}
		//
		if(R=="OK"){
			//Validar cantidades
			var t=AX("AG_COT_VAL_M",HWN,kod);
			var tr=t.split("|");
			if(tr[1]=="MS"){
				alert(tr[2]);
				return;
			}else{
				if(tr[1]=="OK"){
					//TODO_OK
				}else{
					alert("Error de conexion");
					return;
				}
			}
			//Validar cantidades
			document.getElementById("CmdG").disabled=true;
			SM("M");
		}else{
			alert("Error interno");
			return;		
		}
	}
}
function flAnular(){
	var Rpta = confirm("Esta seguro que desea anular?")		
	if (Rpta==true){
		var R=fVModificar();
		if(R=="COB"){
			alert("El presente registro esta relacionado a uno o mas cobros. NO SE PUEDE ANULAR");
			return;
		}
		if(R=="VE"){
			alert("El presente registro esta relacionado a una venta. NO SE PUEDE ANULAR");
			return;
		}
		if(R=="GR"){
			alert("El presente registro esta relacionado a una guia de remision. NO SE PUEDE ANULAR");
			return;
		}
		if(R=="GI"){
			alert("El presente registro esta relacionado a una guia interna. NO SE PUEDE ANULAR");
			return;
		}
		if(R=="OK"){
			document.getElementById("TxtAc").value="A";
		}else{
			alert("Error interno");
			return;	
		}
		document.getElementById("Frm").submit();
	}
}
function flEliminar(){
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		var R=fVModificar();
		if(R=="COB"){
			alert("El presente registro esta relacionado a uno o mas cobros. NO SE PUEDE ELIMINAR");
			return;
		}
		if(R=="VE"){
			alert("El presente registro esta relacionado a una venta. NO SE PUEDE ELIMINAR");
			return;
		}
		if(R=="GR"){
			alert("El presente registro esta relacionado a una guia de remision. NO SE PUEDE ELIMINAR");
			return;
		}
		if(R=="GI"){
			alert("El presente registro esta relacionado a una guia interna. NO SE PUEDE ELIMINAR");
			return;
		}
		
		if(R=="OK"){
			SM("E");
		}else{			
			alert("Error interno");
			return;	
		
		}
	}
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function TReal(){
	var TOT=jVal(gv("T_Importe"));
	var TOR=jVal(gv("TxtTReal"));
	var DES= (TOT - TOR).toFixed(2);
	document.getElementById("TxtTDes").value=DES;
	CalcularVuelto();
}
function TDes(){
	var TOT=jVal(gv("T_Importe"));
	var DES=jVal(gv("TxtTDes"));
	var TOR=(TOT - DES).toFixed(1);	
	document.getElementById("TxtTReal").value=TOR;
	CalcularVuelto();
}
//
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
	if(Emp=="LQ"){
	    sv("CboAlm","RIMAC");
	}
}
function fCargar(){
	if(gv("CmdLoad")=="Cargar"){
		var dr=gv("CboDocR");
		var er=gv("CboEmpR");
		var sn=gv("TxtNumR");
		if(jL(dr)==0){
			return AF("Selecccione un documento de referencia","CboDocR");
		}
		if(jL(er)==0){
			return AF("Selecccione la empresa de referencia","CboEmpR");
		}
		if(jL(sn)==0){
			return AF("Ingrese la serie y numero","TxtNumR");
		}
		var r=AX("06",dr,er,sn);
		if(r=="OK"){
			SM("LOAD");
		}else{
			alert(r);
		}
	}else{
		SM("LOADX");
	}
}
function strReplaceAll(string, Find, Replace) {
    try {
        return string.replace( new RegExp(Find, "gi"), Replace );       
    } catch(ex) {
        return string;
    }
}
//
function OC_1(){
	var t=jVal(gv("TxtTReal"));
	sv("TxtTReal",t.toFixed(1));
}
//
function OC_2(){
	var t=jVal(gv("TxtTDes"));
	sv("TxtTDes",t.toFixed(1));
}
function OC_3(){
	var t=jVal(gv("TxtACuenta"));
	sv("TxtACuenta",t.toFixed(1));
}